module Main (main) where

import qualified Test.Config
import qualified Test.S3.Interface
import Test.Hspec (hspec)
import System.Environment (lookupEnv)
import qualified Dhall

main :: IO ()
main = do
  config <- lookupEnv "TEST_CONFIG_PATH" >>= maybe (pure Nothing) (fmap Just . Dhall.inputFile Dhall.auto)
  hspec $ do
    Test.Config.spec
    Test.S3.Interface.spec config
